Upgrade to newest version from version lower than 1.52

In version 1.52, we introduced an advanced users management feature.
This feature allows you to manage users and their permissions, as well as create dedicated workspaces to separate users and integrations for a more robust execution of integrations.
To utilize this feature after upgrading to version 1.52 or higher from a version lower than 1.52, follow these steps:
Before upgrading, please ensure to create a backup of both the Getint database and the installation directory.
  1. 1.
    Perform the upgrade.
  2. 2.
    Sign in with the user "admin" and password "admin."
  3. 3.
    Navigate to the Users page and click on "EDIT" next to your admin user.
  4. 4.
    Grant access to the MAIN workspace with the role WorkspaceAdmin.
  5. 5.
    Change the password of the user to a more secure password.
  6. 6.
    Sign out.
  7. 7.
    Sign in again as the admin user with the new password. You should now see your workspace with all your integrations.